Subject: [bug#43860] [PATCH] gnu: python: Disable failing tests for the Hurd.

From: Marius Bakke <[email-masked]>
Date: Tue, 13 Oct 2020 22:51:22 +0200

Jan Nieuwenhuizen <[email-masked]> writes:

> Hi!
>
> This patch disables 27 additional tests for the Hurd, and enabled me to
> build (a copy of) python-minimal natively
>
> --8<---------------cut here---------------start------------->8---
> /gnu/store/9xm1idqyvyyz6xcqaa20aw2p8ap9zxcj-python-hurd-minimal-3.8.2
> --8<---------------cut here---------------end--------------->8---

Yaay!  I thought it would be much worse...

[...]

> One last thing: pushing this patch rebuilds world for the Hurd; probably
> not the best timing to push today?  Ideas?

It has been a few days, so I guess you can go ahead and push.  Hopefully
the build farm catches up quickly for those who haven't gotten around to
try the new Hurd VM yet (like me!).